Bug 506151 - RHEL5.4: cxgb3i (open-iscsi) update
RHEL5.4: cxgb3i (open-iscsi) update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Mike Christie
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 14:42 EDT by kxie
Modified: 2010-10-18 12:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
506151: cxgb3i add kref (3.47 KB, text/plain)
2009-06-15 14:44 EDT, kxie
no flags Details
cxgb3i patch tar ball (2.07 KB, application/gzip)
2009-06-15 14:55 EDT, kxie
no flags Details

  None (edit)
Description kxie 2009-06-15 14:42:25 EDT
Description of problem:

I am opening this bug to submit a patch series against 2.6.18-153.

There are two patches in the series:

1. cxgb3i -- use kref to track ddp usage

   The iscsi ddp functionality could be used by multiple iscsi entities.
   This patch add a refcnt to keep track of it, so we would not release
   the ddp table pre-maturely. Without this patch, the ddp could be
   disabled in the middle of a scsi read transaction, and the data then 
   would have to be copied into the scsi buffer.

2. cxgb3i -- suppot of different kernel page sizes

   The default kernel pages supported are 4K, 8K, 16K, and 64K. 
   If PAGE_SIZE is not one of the defaults, re-calculate ddp page table
   entries (so that we would reprogrammed the h/w when initializing ddp).
   Without this patch, the ddp functionality would be disabled if the
   PAGE_SIZE is not one of the defaults.
Comment 1 kxie 2009-06-15 14:44:29 EDT
Created attachment 347983 [details]
506151: cxgb3i add kref
Comment 2 kxie 2009-06-15 14:55:22 EDT
Created attachment 347985 [details]
cxgb3i patch tar ball
Comment 3 RHEL Product and Program Management 2009-06-15 16:12:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2009-06-30 16:22:53 EDT
in kernel-2.6.18-156.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 10 errata-xmlrpc 2009-09-02 04:31:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.